Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Language IDEs » Java Development Tools (JDT) » Can't Use Java 10 SDK On Oxygen . . .(Oxygen Unable/Unwilling To Access Java 10 SDK)
Can't Use Java 10 SDK On Oxygen . . . [message #1785872] Sat, 21 April 2018 15:13 Go to next message
Top Kat is currently offline Top KatFriend
Messages: 20
Registered: March 2013
Junior Member
Just installed Java Runtime Env JRE 10.0.1.

This wouldn't run with JDK 9 so I installed JDK 10.
When I tried to update to compiler compliance for this, it would not show anything beyond Java 9 . . .
My projects showed daft compilation errors - the sort of thing you see when either the JDK or JRE is wrong.
I reverted to JDK 9 and JRE 1.8.0_151 - but I still get errors.

I can't go forward and use Java 10 - and I can't go back and use Java 9 and JRE 1.8.0_151 . . . Quite a state of affairs.

Why doesn't Oxygen allow Java 10 ?
Re: Can't Use Java 10 SDK On Oxygen . . . [message #1785873 is a reply to message #1785872] Sat, 21 April 2018 15:22 Go to previous messageGo to next message
Stephan Herrmann is currently offline Stephan HerrmannFriend
Messages: 1627
Registered: July 2009
Senior Member
You need to provide more information:

Which update of Oxygen? Releases up-to Oxygen.3 cannot support Java 10, because at that time Java 10 did not "exist". Only Oxygen.3a supports it.

If updating to Oxygen.3a doesn't help, you should probably tell us: what do you see in preferences at Java > Installed JREs.

Eclipse only needs a JRE, so what exactly failed before you installed JDK 10?

etc.
Re: Can't Use Java 10 SDK On Oxygen . . . [message #1785874 is a reply to message #1785873] Sat, 21 April 2018 17:01 Go to previous message
Top Kat is currently offline Top KatFriend
Messages: 20
Registered: March 2013
Junior Member
Okay.
All is sorted out.

I updated to Oxygen 3a.

After the Window > Preferences > Java > Installed JREs field was changed to the new JRE-10, a number of old projects retained the old JRE-9 library -- which was now unbound. This was the cause of the errors in compiling.
When the old JRE libraries were manually removed and replaced with the new JRE-10 and the projects were cleaned, all errors were cleared.

Thanks to Stephan.
Previous Topic:Eclipse missing plugins on startup
Next Topic:Eclipse Maven Timeout
Goto Forum:
  


Current Time: Sun Sep 23 17:40:01 GMT 2018

Powered by FUDForum. Page generated in 0.01468 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top